Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports System.Collections

Public Class ProductTable
  Implements VisList
  'klasa dostarcza wspólnego interfejsu prezentacji danych
  'dla tabeli

  Private gridList As GridAdapter

  Public Sub addLine(ByVal p As Product) Implements VisList.addLine
    gridList.addLine(p)
  End Sub

  Public Sub New(ByVal c As DataGrid)
    MyBase.new()
    gridList = New GridAdapter(c)
  End Sub

  Public Sub removeLine(ByVal num As Integer) Implements VisList.removeLine
    gridList.removeLine(num)
  End Sub

End Class
